Show / Hide Table of Contents

# Interface IUserGuild

##### Inherited Members

IDeletable.DeleteAsync(RequestOptions)
ISnowflakeEntity.CreatedAt
IEntity<UInt64>.Id

###### Namespace: Discord

###### Assembly: Discord.Net.Core.dll

##### Syntax

    public interface IUserGuild : IDeletable, ISnowflakeEntity, IEntity<ulong>

### Properties

| Improve this Doc View Source

#### IconUrl

Gets the icon URL associated with this guild, or `null` if one is not set.

##### Declaration

    string IconUrl { get; }

##### Property Value

Type | Description
--- | ---
System.String |

| Improve this Doc View Source

#### IsOwner

Returns `true` if the current user owns this guild.

##### Declaration

    bool IsOwner { get; }

##### Property Value

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### Name

Gets the name of this guild.

##### Declaration

    string Name { get; }

##### Property Value

Type | Description
--- | ---
System.String |

| Improve this Doc View Source

#### Permissions

Returns the current user's permissions for this guild.

##### Declaration

    GuildPermissions Permissions { get; }

##### Property Value

Type | Description
--- | ---
GuildPermissions |